/**
 * console.h
 */

#ifndef __WP2016_COMMS_CONSOLE_H
#define __WP2016_COMMS_CONSOLE_H


#include <string.h>

// pirate tools
#include "../tools.h"
// shell
#include "../../lib/ntshell/core/ntshell.h"
#include "../../lib/ntshell/util/ntstdio.h"
#include "../../lib/ntshell/util/ntopt.h"


#define CONS_PROMPT_DEFAULT 	"\r\nkey> "
#define CONS_PRINT(s) 			console_write(s, strlen(s), 0)


/* struct */
typedef struct {
		char *cmd;
		char *desc;
		uint8_t flags;
		void (*func)(int argc, char **argv);
} command_table_t;


/* extern variables */
extern ntshell_t ntshell;

extern command_table_t *ctbl;
extern command_table_t *ctbl_prev;

extern char console_line[64];

extern ntshell_t hijack;


/* console prototypes */
void console_init();

void console_set_puts(int (*puts)(char *buf, int cnt));
void console_set_gets(int (*gets)(char *buf, int cnt));

void console_start();
void console_stop();
void console_process();
void console_wait();

int console_write(const char *buf, int cnt, void *extobj);


/* command table help printer */
void console_help(int argc, char **argv, command_table_t *p);

/* hijack the console for per-line input handling */
void console_hijack(int (*cb)(const char *text, void *extobj));


#endif
