/**
 * adc.h
 */

#ifndef __WP2016_HW_ADC_H
#define __WP2016_HW_ADC_H


#include <stdint.h>

#include "em_device.h"
#include "em_chip.h"
#include "em_adc.h"


/* input */
#define ADC_INPUT_LIGHTSENS			adcSingleInpCh4
#define ADC_INPUT_TEMPREF			adcSingleInpTemp

/* vref */
#define ADC_VREF_AVDD 				adcRefVDD
#define ADC_VREF_1V25				adcRef1V25
#define ADC_VREF_2V5				adcRef2V5

/* channels */
#define ADC_SINGLE_MAX_CHANNELS 	9 		// supports 16 single-ended


/* prototypes */
void adc_init();
void adc_cb_init(uint8_t channel, void (*cb)(uint16_t result));

void adc_start();

uint16_t adc_getresult(uint8_t chan);

void adc_set_chan(uint8_t input);
void adc_set_vref(uint8_t vref);


#endif
