/**
 * hw/vibrator.h
 * ----
 * bk's favorite module
 */

#ifndef __WP2016_HW_VIBRATOR_H
#define __WP2016_HW_VIBRATOR_H


#include <stdint.h>


typedef struct {
	uint8_t count; 		// amount of patterns
	uint8_t pattern[8]; 	// motor on/off time, at vibrate_process() poll rate
} VibratePattern;


/* constants */
#define VIBRATE_PATTERN_COUNT 		4

#define VIBRATE_ON 					1
#define VIBRATE_OFF 				0


/* prototypes */
void vibrate_init();

void vibrate_set_output(uint8_t on);

void vibrate_set_pattern(uint8_t pattern_idx);
uint8_t vibrate_get_pattern();

void vibrate_queue(uint16_t repeats);
int8_t vibrate_process();


#endif
