/**
 * rtc/time.h
 */

#ifndef __WP2016_RTC_TIME_H
#define __WP2016_RTC_TIME_H


#include <stdint.h>
#include <stdio.h>


/* months */
extern const char month[12][4];


/* constants */
#define RTC_CLOCK_RENDER_LEFT 		1
#define RTC_CLOCK_RENDER_RIGHT 		0


/* extern */
extern uint8_t time_month;
extern uint8_t time_day;
extern uint8_t time_hour;
extern uint8_t time_minute;
extern uint8_t time_second;


/* prototypes */
void rtc_init();
uint8_t rtc_is_clock_set();

void rtc_interrupt_enable();
void rtc_interrupt_disable();

uint8_t rtc_tick();

uint16_t rtc_binclock_render(uint8_t align);

char * rtc_print_time();
char * rtc_print_date();

int rtc_set_time(uint8_t hour, uint8_t minute, uint8_t second);
int rtc_set_date(uint8_t month, uint8_t day);


#endif
