/***************************************************************************//**
 * @file usbconfig.h
 * @brief USB protocol stack library, application supplied configuration options.
 * @version 4.2.1
 *******************************************************************************
 * @section License
 * <b>(C) Copyright 2014 Silicon Labs, http://www.silabs.com</b>
 *******************************************************************************
 *
 * This file is licensed under the Silabs License Agreement. See the file
 * "Silabs_License_Agreement.txt" for details. Before using this software for
 * any purpose, you must agree to the terms of that agreement.
 *
 ******************************************************************************/

#ifndef __SILICON_LABS_USBCONFIG_H__
#define __SILICON_LABS_USBCONFIG_H__

#ifdef __cplusplus
extern "C" {
#endif


/* timer-related shit */
#include "usbtimer.h"


/* usb-related shit */
#define USB_DEVICE      	// compile stack for device mode
#define NUM_EP_USED    3 	// Specify number of endpoints used (in addition to EP0)
#define NUM_APP_TIMERS 0 	// Specify number of application timers you need, whatever this means

/* usb-cdc configuration */
#define CDC_CTRL_INTERFACE_NO   ( 0 )
#define CDC_DATA_INTERFACE_NO   ( 1 )

/* endpoint definitions */
#define CDC_EP_DATA_OUT   ( 0x01 ) /* Endpoint for CDC data reception.       */
#define CDC_EP_DATA_IN    ( 0x81 ) /* Endpoint for CDC data transmission.    */
#define CDC_EP_NOTIFY     ( 0x82 ) /* The notification endpoint (not used).  */

/* hardware definition */
#define USB_VBUS_SWITCH_NOT_PRESENT  // Hardware does not have a VBUS switch
#define USB_CORECLK_HFRCO

#define USB_USBC_32kHz_CLK 	USB_USBC_32kHz_CLK_LFXO


#ifdef __cplusplus
}
#endif

#endif /* __SILICON_LABS_USBCONFIG_H__ */
